#ifndef URL_CODE_H
#define URL_CODE_H

/*************************************************************
*                                                            *
*       CGI C++ Library v0.29a                               *
*                                                            *
*       (c) 2005-2007 by Ighor Poteryakhin (ighor@ighor.ru)  *
*                                                            *
*       urlcode.h                                            *
*                                                            *
*************************************************************/

#include "basic.h"

#include <string>

using namespace std;

namespace urlcode
{

    class urlbase: public cgi::basic
    {
	protected:
	    bool	issafe(char);
	    bool	isunsafe(char);
    	    string	encodechar(char);
	    char	decodechar(string);
    };

    class urlencode: public urlbase
    {
	public:
	    string	encode(string);
	    string	encode(const char*);
    };

    class urldecode: public urlbase
    {
	public:
	    string	decode(string);
	    string	decode(const char*);
    };

}

#endif
